<?xml version="1.0"?>

<!--

Note from ElfData:

This file goes a long with books.xml

Hint:
   Try selecting the text "books.xml" (doesn't have to be the quoted version!), and press return-key, while holding down the commandkey. Also, try selecting the text, then control-clicking on the selected text, and selecting "Open File 'books.xml'". These are a nice way to quickly open files that have references to them!

  This hint is also in the help file.

-->


<!-- This file is an XSL stylesheet file that is used to read the data from the
simple book catalog database. The filename is listing12-2.xsl. -->
<xsl:stylesheet xmlns:xsl="uri:xsl">
   <xsl:template match="/">
      <html>
         <body>
            <table border="1">
               <tr style="font-weight:bold;color:blue">
                  <td>Author Name</td>
                  <td>Author Address</td>
                  <td>Author City</td>
                  <td>Author State</td>
                  <td>Author e-mail</td>
                  <td>Publisher Name</td>
                  <td>Publisher Address</td>
                  <td>Publisher Phone</td>
               </tr>
               <xsl:for-each select="Catalog/Book">
                  <tr>
                     <xsl:apply-templates/>
                  </tr>
               </xsl:for-each>
            </table>
         </body>
      </html>
   </xsl:template>
   <xsl:template match="Author">
      <td>
         <xsl:value-of select="Name"/>
      </td>
      <td>
         <xsl:value-of select="Address"/>
      </td>
      <td>
         <xsl:value-of select="City"/>
      </td>
      <td>
         <xsl:value-of select="State"/>
      </td>
      <td>
         <xsl:value-of select="Email"/>
      </td>
   </xsl:template>
   <xsl:template match="Publisher">
      <td>
         <xsl:value-of select="Name"/>
      </td>
      <td>
         <xsl:value-of select="Address"/>
      </td>
      <td>
         <xsl:value-of select="Phone"/>
      </td>
   </xsl:template>
</xsl:stylesheet>